#343 Missing view name in "File Checkedout in Other View" dialog

2.x
closed-fixed
5
2012-11-27
2012-11-13
jsot
No

In "File Checkedout in Other View" dialog there is missing view name. See attachment. This dialog pops up when doing Move Refactoring.

Eclipse version:
Eclipse Java EE IDE for Web Developers.
Version: Juno Service Release 1
Build id: 20120920-0800

Plugin version:
Eclipse ClearCase Integration
Version: 2.2.24.201210041444

Discussion

  • jsot

    jsot - 2012-11-13

    Dialog Screenshot

     
  • Mikael Petterson

    Hi,

    I don't remember if you are using a snapshot or dynamic view. Same goes for platform. If you have a dynamic view can you go to the directory ( CLI) where you have the file that you want to move ( that is checkedout in other view) and issue the following command:

    cleartool lsco -fmt "%En\tPredecessor: %[version_predecessor]p\tView: %Tf\tStatus: %Rf\n"

    Paste result here.

    br,

    //mike

     
  • Mikael Petterson

    • status: open --> open-accepted
     
  • Mikael Petterson

    • assigned_to: nobody --> eraonel
     
  • Mikael Petterson

    Minor comment. I think you can use the command for a snapshot too.

    //mike

     
  • jsot

    jsot - 2012-11-14

    Lazy me ;) sorry...

    here is version info:
    snapshot view
    WinXP SP3 32-bit

    cleartool -version
    ClearCase version 7.1.2.1 (Fri Dec 17 17:22:14 EST 2010) (7.1.2.01.00_2010D.FCS)
    ClearCase version 7.1.2.2 (Tue Mar 29 16:47:51 EST 2011) (7.1.2.02.00_2011A.FCS)
    ClearCase version 7.1.2.3 (Thu Jun 23 22:31:05 EDT 2011) (7.1.2.03.00_2011B.FCS)
    ClearCase version 7.1.2.4 (Fri Sep 09 23:31:19 EDT 2011) (7.1.2.04.00_2011C.FCS)
    ClearCase version 7.1.2.5 (Fri Dec 02 23:01:11 EST 2011) (7.1.2.05.00_2011D.D111202)
    @(#) MVFS version 7.1.2.5 (Wed Nov 23 13:01:03 2011)
    cleartool 7.1.2.5 (Wed Nov 30 04:49:59 2011)
    db_server 7.1.2.5 (Tue Nov 29 12:05:26 2011)
    VOB database schema version: 54

    command output:
    cleartool lsco -fmt "%En\tPredecessor: %[version_predecessor]p\tView: %Tf\tStatus: %Rf\n"
    MyBean.java Predecessor: \main\6 View: main_snapshot Status: unreserved

    Note: I did Move refactoring, waited for dialog to pop up, then run your command

    --Jiri

     
  • Mikael Petterson

    Easy to forget :-)

    I think I have an idea of what is wrong. The line you get:

    MyBean.java Predecessor: \main\6 View: main_snapshot Status:
    unreserved

    contains \ ( windows) and needs to be escaped. I will make a fix for that :-)

    //mike

     
  • jsot

    jsot - 2012-11-19

    Hi,

    I've checked net.sourceforge.eclipseccase_2.2.26.beta2.zip in my regular Eclipse installation and second installation which never had ccase plugin installed. In both cases it doesn't seem to work.
    Behavior is the same as before the fix.

    --regards
    Jiri

     
  • Mikael Petterson

    Hi Jiri,

    I will try to add some traces and made a new release.

    Please do the following before running:

    Where the file that you will move is run.

    cleartool lsco -fmt "%En\tPredecessor: %[version_predecessor]p\tView:
    %Tf\tStatus: %Rf\n"

    Install new plugin ( added trace);

    http://www.keepandshare.com/doc/view.php?id=5070669&da=y

    And try the move operation and paste console output here as well.

    br

    //mike

     
  • jsot

    jsot - 2012-11-21

    Hi Mike,

    cleartool lsco -fmt "%En\tPredecessor: %[version_predecessor]p\tVie:%Tf\tStatus: %Rf\n"
    . Predecessor: \main\3 View:main_snapshot Status: reserved

    but when moving the file I get this unknown error in Error Log (see below).
    There is no output in console.

    net.sourceforge.clearcase.ClearCaseException: Unknown error
    at net.sourceforge.clearcase.commandline.output.strategy.DirectoryIsNotCheckedOut.getResult(DirectoryIsNotCheckedOut.java:48)
    at net.sourceforge.clearcase.commandline.output.strategy.AbstractMatcherStrategy.check(AbstractMatcherStrategy.java:32)
    at net.sourceforge.clearcase.commandline.output.MatchStrategyComposite.check(MatchStrategyComposite.java:43)
    at net.sourceforge.clearcase.ClearCaseCLIImpl.parserCCOutput(ClearCaseCLIImpl.java:1507)
    at net.sourceforge.clearcase.ClearCaseCLIImpl.ccOperation(ClearCaseCLIImpl.java:624)
    at net.sourceforge.clearcase.ClearCaseCLIImpl.move(ClearCaseCLIImpl.java:1473)
    at net.sourceforge.eclipseccase.ClearCaseProvider.move(ClearCaseProvider.java:906)
    at net.sourceforge.eclipseccase.MoveHandler.moveFile(MoveHandler.java:261)
    at org.eclipse.team.internal.core.MoveDeleteManager.moveFile(MoveDeleteManager.java:87)
    at org.eclipse.core.internal.resources.Resource.unprotectedMove(Resource.java:2003)
    at org.eclipse.core.internal.resources.Resource.move(Resource.java:1630)
    at org.eclipse.jdt.internal.core.CopyResourceElementsOperation.processCompilationUnitResource(CopyResourceElementsOperation.java:340)
    at org.eclipse.jdt.internal.core.CopyResourceElementsOperation.processElement(CopyResourceElementsOperation.java:410)
    at org.eclipse.jdt.internal.core.MultiOperation.processElements(MultiOperation.java:163)
    at org.eclipse.jdt.internal.core.CopyResourceElementsOperation.processElements(CopyResourceElementsOperation.java:428)
    at org.eclipse.jdt.internal.core.MultiOperation.executeOperation(MultiOperation.java:90)
    at org.eclipse.jdt.internal.core.JavaModelOperation.run(JavaModelOperation.java:728)
    at org.eclipse.core.internal.resources.Workspace.run(Workspace.java:2344)
    at org.eclipse.jdt.internal.core.JavaModelOperation.runOperation(JavaModelOperation.java:793)
    at org.eclipse.jdt.internal.core.JavaModel.runOperation(JavaModel.java:297)
    at org.eclipse.jdt.internal.core.JavaModel.move(JavaModel.java:258)
    at org.eclipse.jdt.internal.core.CompilationUnit.move(CompilationUnit.java:1108)
    at org.eclipse.jdt.internal.corext.refactoring.changes.MoveCompilationUnitChange.doPerformReorg(MoveCompilationUnitChange.java:87)
    at org.eclipse.jdt.internal.corext.refactoring.changes.CompilationUnitReorgChange.perform(CompilationUnitReorgChange.java:65)
    at org.eclipse.ltk.core.refactoring.CompositeChange.perform(CompositeChange.java:278)
    at org.eclipse.jdt.internal.corext.refactoring.changes.DynamicValidationStateChange.access$0(DynamicValidationStateChange.java:1)
    at org.eclipse.jdt.internal.corext.refactoring.changes.DynamicValidationStateChange$1.run(DynamicValidationStateChange.java:102)
    at org.eclipse.jdt.internal.core.BatchOperation.executeOperation(BatchOperation.java:39)
    at org.eclipse.jdt.internal.core.JavaModelOperation.run(JavaModelOperation.java:728)
    at org.eclipse.core.internal.resources.Workspace.run(Workspace.java:2344)
    at org.eclipse.jdt.core.JavaCore.run(JavaCore.java:5204)
    at org.eclipse.jdt.internal.corext.refactoring.changes.DynamicValidationStateChange.perform(DynamicValidationStateChange.java:105)
    at org.eclipse.jdt.internal.corext.refactoring.reorg.JavaMoveProcessor$1.perform(JavaMoveProcessor.java:147)
    at org.eclipse.ltk.core.refactoring.CompositeChange.perform(CompositeChange.java:278)
    at org.eclipse.ltk.core.refactoring.PerformChangeOperation$1.run(PerformChangeOperation.java:258)
    at org.eclipse.core.internal.resources.Workspace.run(Workspace.java:2344)
    at org.eclipse.ltk.core.refactoring.PerformChangeOperation.executeChange(PerformChangeOperation.java:306)
    at org.eclipse.ltk.internal.ui.refactoring.UIPerformChangeOperation.executeChange(UIPerformChangeOperation.java:92)
    at org.eclipse.ltk.core.refactoring.PerformChangeOperation.run(PerformChangeOperation.java:218)
    at org.eclipse.core.internal.resources.Workspace.run(Workspace.java:2344)
    at org.eclipse.ltk.internal.ui.refactoring.WorkbenchRunnableAdapter.run(WorkbenchRunnableAdapter.java:87)
    at org.eclipse.jface.operation.ModalContext$ModalContextThread.run(ModalContext.java:121)

    regards
    Jiri

     
  • jsot

    jsot - 2012-11-21

    Added Error Log stacktrace with sane formating to attachments.

     
  • jsot

    jsot - 2012-11-23

    Hi Mike,

    with latest beta4 build I do not get the dialog at all and Move operation ends successfully if target dir is already checkedout.

    MyBean.java is file which is moved. current view main_snapshot
    1) target dir test not checked out. MyBean.java checkedout only in current view

    cleartool lsco -fmt "%En\tPredecessor: %[version_predecessor]p\tView:%Tf\tStatus: %Rf\n"
    . Predecessor: \main\3 View:main_snapshot Status: unreserved
    MyBean.java Predecessor: \main\6 View:main_snapshot Status: unreserved

    Move fails with error dialog saying that target dir is not checked out. (see screenshot error-dialog-not-checked-out.jpg). It's OK. But it could prompt user if it should checkout target dir for him.

    2) taget dir test checked out. MyBean.java checkedout only in current view

    cleartool lsco -fmt "%En\tPredecessor: %[version_predecessor]p\tView:%Tf\tStatus: %Rf\n"
    . Predecessor: \main\3 View:main_snapshot Status: unreserved
    MyBean.java Predecessor: \main\6 View:main_snapshot Status: unreserved
    test Predecessor: \main\1 View:main_snapshot Status: unreserved

    Move performs successfully. No dialog shown.

    3) target dir test checked out, MyBean.java checkout in another view

    cleartool lsco -fmt "%En\tPredecessor: %[version_predecessor]p\tView:%Tf\tStatus: %Rf\n"
    . Predecessor: \main\3 View:main_snapshot Status: unreserved
    MyBean.java Predecessor: \main\6 View:main Status: unreserved
    MyBean.java Predecessor: \main\6 View:main_snapshot Status: unreserved
    test Predecessor: \main\1 View:main_snapshot Status: unreserved

    Works. Dialog shows that MyMBean.java is checked out in anouther view: main.

    So it seems that it works as expected now.

    Thanks.

    regards
    Jiri

     
  • Mikael Petterson

    • status: open-accepted --> closed-fixed
     
  • Mikael Petterson

    Hi Jiri,

    Sorry for late reply. Thanks for the input that you provided. It seems like the issue is fixed.
    I agree that we can show a dialog that prompts the user if the directory is not checked out. Can you put that as a feature request and refer to this bug report?

    br,

    //mike

     

Log in to post a comment.